using Microsoft.Extensions.Hosting;

namespace ControlServer;

public interface IControlServer : IHostedService
{
    public void OnEvent(Func<SensorEvent, Task> onEventRecived);
    public void AuthorizeEvent(long eventId);
    public void RequestDisarm();
    public bool IsConnected();
    public TimeSpan? GetLastContactTime();
}